Summary: Library for the GNOME Bluetooth Subsystem
Name: libbtctl
Version: 0.3
Release: 4
License: GPL
Group: System Environment/Libraries
URL: http://usefulinc.com/software/gnome-bluetooth 
Source: http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf >= 0:2.57 bluez-sdp-devel
ExcludeArch: s390 s390x
Patch0: libbtctl-0.3-libblue.patch


%description
Library for the GNOME Bluetooth Subsystem


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .libblue

%build
#autoreconf --install --force
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# we do not want .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_libdir}/lib*.so*
%{_libdir}/pkgconfig/libbtctl.pc
%{_includedir}/libbtctl


%changelog
* Tue Aug  5 2003 Harald Hoyer <harald@redhat.de> 0.3-4
- make shared library

* Tue Aug  5 2003 Harald Hoyer <harald@redhat.de> 0.3-3
- BuildRequires bluez-sdp

* Tue Jun 24 2003 Harald Hoyer <harald@redhat.de> 0.3-2
- exclude arch s390

* Wed Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.3-1
- initial RPM


